{% extends 'base.html' %}
{% load humanize %}

{% block content %}
<div class="container my-5">
    <div class="mb-5">
        {% if messages %}
        {% for message in messages %}
        {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR %}
        <div class="alert alert-danger alert-dismissible fade show" role="alert">
            <strong>Error: </strong> {{ message }}
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        {% else %}
        <div class="alert alert-info alert-dismissible fade show" role="alert">
            {{ message }}
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        {% endif %}
        {% endfor %}
        {% endif %}
    </div>

    {% if contrib %}
    <div class="jumbotron blue-grey lighten-5 p-5">
        <!-- Grid row -->
        <div class="row ">

            <!-- Grid column -->
            <div class="col-md-8 offset-md-1 mx-3 my-3">
                <div class="card-title h2-responsive text-capitalize mb-4">
                    {{ contrib.staff_id.first_name }} {{ contrib.staff_id.last_name }}'s Contribution
                </div>

                <div class="row">
                    <div class="col-md-6">
                        <label class="h6-responsive font-weight-lighter"><strong>Staff ID</strong></label>
                    </div>
                    <div class="col-md-6">
                        <p class="h6-responsive font-weight-light">{{ contrib.staff_id.username }}</p>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <label class="h6-responsive font-weight-lighter"><strong>Amount</strong></label>
                    </div>
                    <div class="col-md-6">
                        <p class="h6-responsive font-weight-light">{{ contrib.amount|intcomma }}</p>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <label class="h6-responsive font-weight-lighter"><strong>Description</strong></label>
                    </div>
                    <div class="col-md-6">
                        <p class="h6-responsive font-weight-light">{{ contrib.description }}</p>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <label class="h6-responsive font-weight-lighter"><strong>Date Created</strong></label>
                    </div>
                    <div class="col-md-6">
                        <p class="h6-responsive font-weight-light text-capitalize">{{ contrib.date_created }}</p>
                    </div>
                </div>
            </div>
            <!-- Grid column -->

        </div>
        <!-- Grid row -->
        <hr class="pb-2">
        <a href="{% url 'update_contrib' contrib.staff_id.id contrib.id %}" class="btn btn-indigo btn-rounded">
            <i class="fas fa-pen fa-1x mr-1"></i>Update
        </a>
        <a href="{% url 'del_contrib' contrib.id %}" class="btn btn-outline-danger btn-rounded waves-effect"><i
                class="fas fa-trash fa-1x mr-1"></i>Delete</a>

    </div>
    {% else %}
    <p class="note note-danger"><strong>Error: </strong> The contribution/staff does not exist.</p>
    {% endif %}
</div>
{% endblock %}